# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1330  -> 1.1331 
#	  drivers/acpi/bus.c	1.33    -> 1.34   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/09/25	len.brown@intel.com	1.1331
# [ACPI] For ThinkPad -- carry on in face of ECDT probe failure (Andi Kleen)
# --------------------------------------------
#
diff -Nru a/drivers/acpi/bus.c b/drivers/acpi/bus.c
--- a/drivers/acpi/bus.c	Thu Sep 25 16:17:06 2003
+++ b/drivers/acpi/bus.c	Thu Sep 25 16:17:06 2003
@@ -634,8 +634,7 @@
 	 * the EC parameters out of that.
 	 */
 	status = acpi_ec_ecdt_probe();
-	if (ACPI_FAILURE(status))
-		goto error1;
+	/* Ignore result. Not having an ECDT is not fatal. */
 #endif
 
 	status = acpi_initialize_objects(ACPI_FULL_INITIALIZATION);
